Bug 865629 - (PM-245, PRODMGT-245) Add more metrics to AS7 plugin
Add more metrics to AS7 plugin
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.0
All All
urgent Severity medium
: ER08
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
: FutureFeature
Depends On: 865634
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 19:03 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 865634 (view as bug list)
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-245 Major Closed Need AS7 WAR statistics/metrics in JON 2016-09-01 03:22 EDT

  None (edit)
Description Charles Crouch 2012-10-11 19:03:41 EDT
Customer request:

"The EAP 4 and EAP 5 plug-ins both exposed statistics reported by a deployed web application context (WAR). However, the EAP 7 plug-in does not expose these statistics.

Specifically:

Clustered - True if this web application context is clustered
Virtual Host - the virtual host with which this context is associated
Response Time - the minimum, maximum, and average response times for requests serviced by this webapp
Currently Active Sessions - the number of sessions that are currently active for this WAR
Maximum Active Sessions	- the maximum number of sessions that have been active for this WAR
Created Sessions - the number of sessions created for this WAR
Created Sessions per Minute - the number of sessions created for this WAR
Expired Sessions - the number of expired sessions for this WAR
Expired Sessions per Minute - the number of expired sessions for this WAR
Rejected Sessions - the number of sessions rejected for this WAR
Rejected Sessions per Minute - the number of sessions rejected for this WAR
Average Session Alive Time - the average alive time of sessions for this WAR
Max Session Alive Time - the maximum alive time of sessions for this WAR

The majority of these metrics are provided by the AS7 managed deployment's web subsystem. For example:
/host=master/server=server-one/deployment=jboss-as-helloworld.war/subsystem=web

The customer needs the ability to monitor their deployed applications to see load/usage statistics and to identify peak load averages against application content."
Comment 1 Charles Crouch 2013-03-07 20:23:37 EST
Comparing the list of metrics from the description in this issue with those listed here:

https://issues.jboss.org/browse/AS7-4444?focusedCommentId=12719259&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-12719259 

there were a couple of metrics not in AS7-4444 (besides the per minute metrics which are derived)

Clustered - True if this web application context is clustered
This doesn't appear to be exposed by AS7 so it won't be possible to collect via the RHQ plugin

Response Time - the minimum, maximum, and average response times for requests serviced by this webapp

This is already implemented in the original as7 plugin that shipped in JON310. However there will be fixes to improve that support in JON312 (https://bugzilla.redhat.com/show_bug.cgi?id=864621).
Comment 2 Charles Crouch 2013-04-04 13:42:31 EDT
I also see that there are metrics on AS7-4444 that are not mentioned in PRODMGT-245, e.g. active-sessions. Unless there is a good reason not to we should be exposing all the metrics which AS7 has here . Note "exposing" does not imply enabling by default in RHQ, as with all resource types we should be enabling a minimal set of metrics out of the box.
Comment 3 Thomas Segismont 2013-05-07 08:28:55 EDT
Pushed to master - f875212

commit f875212be4a8cfaf0905e2fd376a579197b83148
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue May 7 14:25:34 2013 +0200

    Bug 865629 - (PRODMGT-245) Add more metrics to AS7 plugin
    
    Added missing metrics
    Added integration test
Comment 4 Thomas Segismont 2013-05-07 08:32:59 EDT
Additional notes:
* Clustered attributed is not exposed
* Also included "duplicated-session-ids" metric although it was not in the customer list
Comment 7 Charles Crouch 2013-06-02 22:35:15 EDT
larry: enable traits by default? 
thomas: something he can add. <<<<----action item for thomas.

Thomas can you do this so we can wrap this up for RHQ4.8
Thanks
Comment 8 Thomas Segismont 2013-06-03 03:57:55 EDT
Sorry I forgot to write this down after the feature presentation meeting.

commit c860e6ebb29c99a399471e610e6c2772ffb66d64
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Jun 3 09:50:35 2013 +0200

    Bug 865634 - Add more metrics to AS7 plugin
    
    New commit: enable traits by default
Comment 9 Heiko W. Rupp 2013-08-08 09:54:18 EDT
This should be in a brew build for quite some time now

Note You need to log in before you can comment on or make changes to this bug.